Skip to content
DeepfireDeepfire Docs
Esc
navigateopen⌘Jpreview

Get static heat sources

Fetch features of the feature collection with id collectionId.

Every feature in a dataset belongs to a collection. A dataset may consist of multiple feature collections. A feature collection is often a collection of features of a similar type, based on a common schema.

Use content negotiation to request HTML or GeoJSON.

GET/collections/deepfire:static-heat-sources/items
Authorization
AuthorizationBearer token (JWT) · headerrequired
Access token from POST https://api.deepfire.co/v1/token with your client_id and client_secret.
Query parameters
limitinteger
The optional limit parameter limits the number of items that are presented in the response document. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Minimum = 1. Maximum = 10000. Default = 10.
min 1 · max 10000 · default: 10000
bboxnumber[]
Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth): * Lower left corner, coordinate axis 1 * Lower left corner, coordinate axis 2 * Minimum value, coordinate axis 3 (optional) * Upper right corner, coordinate axis 1 * Upper right corner, coordinate axis 2 * Maximum value, coordinate axis 3 (optional) The coordinate reference system of the values is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter `bbox-crs`. For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge). If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box. If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.
min items 4 · max items 6
datetimestring
Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots. Examples: * A date-time: "2018-02-12T23:20:50Z" * A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z" * Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z" Only features that have a temporal property that intersects the value of `datetime` are selected. If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties.
filterstring
Defines a filter that will be applied on items, only items matching the filter will be returned
filter-langstring
Filter encoding used in the filter parameter
default: "cql2-text"
Allowed:ecql-textcql2-text
filter-crsstring<uri-reference>
Filter CRS which is being used to encode geometries in the filter parameter
crsstring<uri>
bbox-crsstring<uri>
otherParametersobject
Allows unrecognized parameters to be added in the query string without getting a 400 back (e.g., cache busters)
Responses
200The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size. The `bbox` and `datetime` parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The `bbox` parameter matches all features in the collection that are not associated with a location, too. The `datetime` parameter matches all features in the collection that are not associated with a time stamp or interval, too. The `limit` parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (`numberMatched` and `numberReturned`) as well as links to support paging (link relation `next`).
typestringrequired
Allowed:FeatureCollection
featuresfeatureGeoJSON[]required
Show properties
Array of featureGeoJSON
typestringrequired
Allowed:Feature
geometrygeometryGeoJSONrequired
Show properties
One of:
pointGeoJSON
typestringrequired
Allowed:Point
coordinatesnumber[]required
min items 2
multipointGeoJSON
typestringrequired
Allowed:MultiPoint
coordinatesnumber[][]required
linestringGeoJSON
typestringrequired
Allowed:LineString
coordinatesnumber[][]required
min items 2
multilinestringGeoJSON
typestringrequired
Allowed:MultiLineString
coordinatesnumber[][][]required
polygonGeoJSON
typestringrequired
Allowed:Polygon
coordinatesnumber[][][]required
multipolygonGeoJSON
typestringrequired
Allowed:MultiPolygon
coordinatesnumber[][][][]required
geometrycollectionGeoJSON
typestringrequired
Allowed:GeometryCollection
geometriesgeometryGeoJSON[]required
Show properties
Array of geometryGeoJSON
Circular reference to geometryGeoJSON.
propertiesobject | nullrequired
idstring | integer
Show properties
One of:
string
string
integer
integer
linkslink[]
Show properties
Array of link
hrefstringrequired
relstring
typestring
hreflangstring
titlestring
lengthinteger
linkslink[]
Show properties
Array of link
hrefstringrequired
relstring
typestring
hreflangstring
titlestring
lengthinteger
timeStamptimeStamp
This property indicates the time and date when the response was generated.
numberMatchednumberMatched
The number of features of the feature type that match the selection parameters like `bbox`.
min 0
numberReturnednumberReturned
The number of features in the feature collection. A server may omit this information in a response, if the information about the number of features is not known or difficult to compute. If the value is provided, the value shall be identical to the number of items in the "features" array.
min 0
400A query parameter has an invalid value.
codestringrequired
descriptionstring
404The requested URI was not found.
500A server error occurred.
codestringrequired
descriptionstring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.deepfire.co/ogc/features/v1/collections/deepfire:static-heat-sources/items" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [
          0,
          0
        ]
      },
      "properties": {},
      "id": "string",
      "links": [
        {
          "href": "http://data.example.com/buildings/123",
          "rel": "alternate",
          "type": "application/geo+json",
          "hreflang": "en",
          "title": "Trierer Strasse 70, 53115 Bonn",
          "length": 0
        }
      ]
    }
  ],
  "links": [
    {
      "href": "http://data.example.com/buildings/123",
      "rel": "alternate",
      "type": "application/geo+json",
      "hreflang": "en",
      "title": "Trierer Strasse 70, 53115 Bonn",
      "length": 0
    }
  ],
  "timeStamp": "2019-08-24T14:15:22Z",
  "numberMatched": 127,
  "numberReturned": 10
}